%define upstream_name    SNMP-Info
%define upstream_version 3.92

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object Oriented Perl5 Interface to Network devices and MIBs through SNMP
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(Hook::LexWrap)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(NetAddr::IP) >= 4.68.0
BuildRequires: perl(NetSNMP::default_store)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(SNMP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::Distribution)
BuildRequires: perl(Test::Exception) >= 0.430.0
BuildRequires: perl(Test::MockObject::Extends)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-NetSNMP >= 5.1.2
BuildArch:  noarch

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP.

This module lives at http://snmp-info.sourceforge.net Check for newest
version and documentation.

This module is geared towards network devices. Subclasses exist for a
number of network devices and common MIBs.

The idea behind this module is to give a common interface to data from
network devices, leaving the device-specific hacks behind the scenes in
subclasses.

In the SYNOPSIS example we fetch the name of all the ports on the device
and the duplex setting for that port with two methods -- interfaces()
and i_duplex().

The information may be coming from any number of MIB files and is very
vendor specific. SNMP::Info provides you a common method for all
supported devices.

Adding support for your own device is easy, and takes little much SNMP
knowledge.

The module is not limited to network devices. Any MIB or device can be
given an objected oriented front-end by making a module that consists of
a couple hashes. See EXTENDING SNMP::INFO.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SNMP
%{_mandir}/*/*

%changelog
* Wed Feb 22 2023 tv <tv> 3.920.0-1.mga9
+ Revision: 1944703
- update to 3.92

* Sat Aug 27 2022 tv <tv> 3.890.0-1.mga9
+ Revision: 1881138
- update to 3.89

* Sat Aug 13 2022 tv <tv> 3.870.0-1.mga9
+ Revision: 1877447
- update to 3.87

* Fri Aug 05 2022 tv <tv> 3.850.0-1.mga9
+ Revision: 1875391
- update to 3.85

* Fri Jul 08 2022 tv <tv> 3.840.0-1.mga9
+ Revision: 1867985
- update to 3.84

* Fri Mar 18 2022 tv <tv> 3.820.0-1.mga9
+ Revision: 1798291
- update to 3.82

* Sat Oct 16 2021 tv <tv> 3.810.0-1.mga9
+ Revision: 1751829
- update to 3.81

* Mon Sep 27 2021 tv <tv> 3.800.0-1.mga9
+ Revision: 1746680
- update to 3.80

* Fri Sep 10 2021 tv <tv> 3.780.0-1.mga9
+ Revision: 1745026
- update to 3.78

* Fri Aug 27 2021 tv <tv> 3.740.0-1.mga9
+ Revision: 1742688
- update to 3.74

* Mon Jul 05 2021 tv <tv> 3.730.0-1.mga9
+ Revision: 1734812
- update to 3.73

* Sun Nov 29 2020 tv <tv> 3.710.0-1.mga8
+ Revision: 1650144
- update to 3.71

* Sun Feb 16 2020 umeabot <umeabot> 3.700.0-2.mga8
+ Revision: 1536341
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 tv <tv> 3.700.0-1.mga8
+ Revision: 1454100
- update to 3.70

* Sat Jun 29 2019 shlomif <shlomif> 3.680.0-1.mga8
+ Revision: 1415624
- update to 3.68

* Sun Apr 21 2019 shlomif <shlomif> 3.670.0-1.mga7
+ Revision: 1394452
- update to 3.67

* Sun Mar 24 2019 tv <tv> 3.660.0-1.mga7
+ Revision: 1380033
- update to 3.66

* Fri Mar 15 2019 tv <tv> 3.650.0-1.mga7
+ Revision: 1377512
- update to 3.65

* Sun Dec 30 2018 tv <tv> 3.640.0-1.mga7
+ Revision: 1347003
- new release

* Thu Nov 29 2018 tv <tv> 3.630.0-1.mga7
+ Revision: 1336684
- update to 3.63

* Thu Sep 20 2018 umeabot <umeabot> 3.520.0-2.mga7
+ Revision: 1285964
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 3.520.0-1.mga7
+ Revision: 1210694
- New version 3.52

* Tue Dec 26 2017 shlomif <shlomif> 3.390.0-1.mga7
+ Revision: 1185330
- update to 3.39

* Tue Oct 24 2017 shlomif <shlomif> 3.380.0-1.mga7
+ Revision: 1173375
- update to 3.38

* Tue Oct 03 2017 tv <tv> 3.370.0-2.mga7
+ Revision: 1166530
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 3.370.0-1.mga7
+ Revision: 1161659
- add BR on perl(Module::Build)
+ guillomovitch <guillomovitch>
- new version 3.37

* Sun May 08 2016 shlomif <shlomif> 3.330.0-1.mga6
+ Revision: 1010777
- update to 3.33

* Fri Apr 15 2016 shlomif <shlomif> 3.310.0-1.mga6
+ Revision: 1002290
- update to 3.31

* Sat Feb 20 2016 umeabot <umeabot> 3.290.0-2.mga6
+ Revision: 971335
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 3.290.0-1.mga6
+ Revision: 891524
- update to 3.29

* Sun Jul 05 2015 sander85 <sander85> 3.280.0-1.mga6
+ Revision: 851388
- update to 3.28

* Sun Oct 19 2014 umeabot <umeabot> 3.200.0-4.mga5
+ Revision: 790077
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.200.0-3.mga5
+ Revision: 750961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.200.0-2.mga5
+ Revision: 686128
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 sander85 <sander85> 3.200.0-1.mga5
+ Revision: 673734
- update to 3.20

* Fri Aug 01 2014 sander85 <sander85> 3.190.0-1.mga5
+ Revision: 659083
- update to 3.19

* Wed Jul 02 2014 sander85 <sander85> 3.180.0-1.mga5
+ Revision: 642269
- update to 3.18

* Tue Jun 24 2014 sander85 <sander85> 3.170.0-1.mga5
+ Revision: 639248
- update to 3.17

* Tue Jun 10 2014 sander85 <sander85> 3.150.0-1.mga5
+ Revision: 635472
- update to 3.15

* Sat Jun 07 2014 sander85 <sander85> 3.140.0-1.mga5
+ Revision: 634412
- update to 3.14

* Tue Apr 15 2014 jquelin <jquelin> 3.130.0-1.mga5
+ Revision: 614972
- update to 3.13

* Mon Feb 17 2014 kharec <kharec> 3.120.0-1.mga5
+ Revision: 593532
- update to 3.12

* Mon Feb 10 2014 jquelin <jquelin> 3.110.0-1.mga5
+ Revision: 588637
- update to 3.11

* Mon Oct 21 2013 umeabot <umeabot> 3.70.0-2.mga4
+ Revision: 538917
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 sander85 <sander85> 3.70.0-1.mga4
+ Revision: 491029
- update to 3.07

* Mon Aug 19 2013 sander85 <sander85> 3.50.0-1.mga4
+ Revision: 467727
- update to 3.05

* Mon Jul 15 2013 sander85 <sander85> 3.30.0-1.mga4
+ Revision: 454640
- update to 3.03
- update to 3.02

* Sun Jan 13 2013 umeabot <umeabot> 2.110.0-2.mga3
+ Revision: 372385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.110.0-1.mga3
+ Revision: 342584
- update to 2.11

* Fri Aug 31 2012 kharec <kharec> 2.80.0-1.mga3
+ Revision: 286473
- update to 2.08

* Thu Oct 13 2011 jquelin <jquelin> 2.60.0-1.mga2
+ Revision: 154450
- update to 2.06

* Mon Jun 27 2011 jquelin <jquelin> 2.50.0-1.mga2
+ Revision: 114503
- update to 2.05

* Thu Apr 07 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 81787
- update to 2.04

* Thu Jan 20 2011 jquelin <jquelin> 2.10.0-1.mga1
+ Revision: 26923
- mageia rebuild
- imported package perl-SNMP-Info

